<?php
$secretKey = '6LfD_TgpAAAAAP4yOx_M_9JE-gv2Aej-Z3MfOAi7';
$recaptchaResponse = $_POST['recaptcha_response'];


// Initialize cURL session
$curl = curl_init();

// Set cURL options
curl_setopt_array($curl, [
    CURLOPT_URL => 'https://www.google.com/recaptcha/api/siteverify',
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => http_build_query([
        'secret' => $secretKey,
        'response' => $recaptchaResponse
    ]),
    CURLOPT_RETURNTRANSFER => true
]);

// Execute cURL request and capture response
$response = curl_exec($curl);

// Check for cURL errors
if ($response === false) {
    curl_close($curl);
    die("cURL Error: " . curl_error($curl));
}

// Close cURL session
curl_close($curl);

// Decode JSON response
$responseData = json_decode($response);

if ($responseData->success && $responseData->score >= 0) {
    // reCAPTCHA score is sufficient
    $name = $_POST['name'];
    $email = $_POST['email'];
    $url = $_POST['url'];
    $phone = $_POST['phone'];
    $date = $_POST['date'];
    $location = $_POST['location'];
    $numguests = $_POST['numguests'];
    $textarea1 = $_POST['textarea1'];
    
    // Sanitize inputs
    $name = htmlspecialchars($name);
    $email = htmlspecialchars($email);
    $url = htmlspecialchars($url);
    $phone = htmlspecialchars($phone);
    $date = htmlspecialchars($date);
    $location = htmlspecialchars($location);
    $numguests = htmlspecialchars($numguests);
    $textarea1 = htmlspecialchars($textarea1);

    // Perform actions like saving to database, sending emails, etc.
    echo "Name: " . $name . "<br>";
    echo "Email: " . $email . "<br>";
    echo "URL: " . $url . "<br>";
    echo "phone: " . $phone . "<br>";
    echo "date: " . $date . "<br>";
    echo "location: " . $location . "<br>";
    echo "num-guests: " . $numguests . "<br>";
    echo "textarea1: " . $textarea1 . "<br>";
} else {
    // reCAPTCHA score is too low, possible bot
    echo "Sorry, we suspect you might be a bot. Please try again.";
}
?>
